Built LMS Help Center
API Reference and PlaygroundEnrollments and ProgressEnrollment Progress

PUT Update enrollment progress

Updates progress and status for an enrollment in the authenticated organization.

PUT
/enrollments/{id}/progress

Updates progress and status for an enrollment in the authenticated organization.

Authorization

AuthorizationBearer <token>

Send API keys and access tokens as Authorization: Bearer .

In: header

Path Parameters

id*string

Enrollment ID.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/enrollments/{id}/progress" \  -H "Content-Type: application/json" \  -d '{    "progress": 1,    "status": "not-started",    "organization_id": "{organization_id}"  }'
{  "data": {    "id": "{id}",    "user_id": "{user_id}",    "course_id": "{course_id}",    "organization_id": "{organization_id}",    "status": "string",    "progress_percentage": 0,    "enrolled_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "last_accessed_at": "2019-08-24T14:15:22Z"  },  "meta": {    "organization_id": "{organization_id}",    "user_id": "{user_id}",    "updated_at": "2019-08-24T14:15:22Z",    "fallback": "string"  }}